powered by Jive Software

Windows 7 and Spark 2.8.1

I am a pretty non technical user of Spark for my work. On my work computer (Windows 7) I have Spark 2.6.3 and it works fine. There is no SSO tab on it. I am trying to set up a laptop to use for travel and had to download Spark 2.8.1 as my old link takes me to that page.

Using the same settings that are working on my Windows 7 (Spark 2.6.3) I am getting an error: Unknown connection error: Please review the logs for more information.

In looking at the tabs I see there is a new tab on the Spark 2.8.1 marked SSO which I guess means Single Sign On. It is marked by default Use krb5conf or krb5ini .I have no idea what that means but no matter what I check here I still get errors logging in.

When I look at my log errors I see in the output log:

Debug is true storeKey false useTicketCache true useKeyTab false doNotPrompt true ticketCache is null isInitiator true KeyTab is null refreshKrb5Config is false principal is null tryFirstPass is false useFirstPass is false storePass is false clearPass is false

Acquire TGT from Cache

Principal is null

null credentials from Ticket Cache

[Krb5LoginModule] authentication failed

Unable to obtain Principal Name for authentication

And when I look in the other error log I see:

Feb 09, 2017 9:17:05 AM org.jivesoftware.spark.util.log.Log warning

WARNING: Exception in Login:

java.net.SocketException: Unconnected sockets not implemented

at javax.net.SocketFactory.createSocket(Unknown Source)

at org.jivesoftware.smack.tcp.XMPPTCPConnection.connectUsingConfiguration(XMPPTCPC onnection.java:573)

at org.jivesoftware.smack.tcp.XMPPTCPConnection.connectInternal(XMPPTCPConnection. java:851)

at org.jivesoftware.smack.AbstractXMPPConnection.connect(AbstractXMPPConnection.ja va:364)

at org.jivesoftware.LoginDialog$LoginPanel.login(LoginDialog.java:1078)

at org.jivesoftware.LoginDialog$LoginPanel.access$900(LoginDialog.java:335)

at org.jivesoftware.LoginDialog$LoginPanel$3.construct(LoginDialog.java:869)

at org.jivesoftware.spark.util.SwingWorker.lambda$new$1(SwingWorker.java:142)

at java.lang.Thread.run(Unknown Source)

Caused by: java.lang.UnsupportedOperationException

I think if I could download the old Spark 2.6.3 build I would be able to log in as I am able to on my work Windows 7 computer. Any help would be greatly appreciated.

That SSO tab doesn’t do anything if SSO is not configured. I suppose “Use Single Sing On” isn’t checked, so the krb settings are not enabled either.

You can download 2.6.3 version by substituting 8 to 6 in the download link for 2.8.3 (you can download any version like this).

If that laptop is not connected to your network and your chat server is only available inside the network then that may be the reason of this error (it can;t reach the server). So it might be the same with 2.6.3.

1 Like

Thank you so much ! I was able to amend the link and get back to the old build. From there is was easy to get connected again ! YEA !!!